﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Terraria.ID;
using Terraria.ModLoader.Config;

namespace tTP
{
    public class tTPConfigs : ModConfig
    {
        [Header("Craft")]

        [Label("Use tMx Tablets")]
        [Tooltip("Use tMX 4 Tablets to craft a Personal Teleporter. If false, will use a recipe with vanilla materials.")]
        [DefaultValue(true)]
        public bool UsetMxTablets;

        [Label("Vanilla Material(s)")]
        [Tooltip("Add the ItemID (a number) of each material you want in the recipe.")]
        public List<int> VanillaMatsList = new List<int>() { 22, 75 };

        [Label("Material(s) Quantity")]
        [Tooltip("Add the quantity for each ItemID you entered in the material list.")]
        public List<int> VanillaMatsListQty = new List<int>() { 10, 1 };

        public override ConfigScope Mode => (ConfigScope)0;
    }
}
